Bug 9498 - Update encoding for Norwegian sample Z39.50 servers
Summary: Update encoding for Norwegian sample Z39.50 servers
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Installation and upgrade (web-based installer) (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Magnus Enger
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on: 9497
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-27 14:50 UTC by Magnus Enger
Modified: 2013-12-05 20:06 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 9498 - Update encoding for Norwegian sample Z39.50 servers (4.03 KB, patch)
2013-02-13 12:45 UTC, Magnus Enger
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9498 - Update encoding for Norwegian sample Z39.50 servers (5.36 KB, patch)
2013-02-16 12:27 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9498 - Update encoding for Norwegian sample Z39.50 servers (3.87 KB, patch)
2013-03-26 19:14 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 9498 QA Followup for updatedatabase Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl> (1.71 KB, patch)
2013-03-27 12:23 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 9498 QA Followup for updatedatabase (1.71 KB, patch)
2013-03-27 12:24 UTC, Marcel de Rooy
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9498 QA Followup for updatedatabase (1.79 KB, patch)
2013-03-27 15:18 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 9498 QA Followup for updatedatabase (1.81 KB, patch)
2013-03-27 15:32 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 9498 - Update encoding for Norwegian sample Z39.50 servers (3.95 KB, patch)
2013-03-27 15:32 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 9498 QA Followup for updatedatabase (1.81 KB, patch)
2013-03-27 15:32 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Magnus Enger 2013-01-27 14:50:49 UTC
As described in Bug 9497 the encoding for BIBSYS should be ISO 8859-1. I'll check if other Norwegian sample servers need updating too.
Comment 1 Magnus Enger 2013-02-13 12:45:53 UTC Comment hidden (obsolete)
Comment 2 Bernardo Gonzalez Kriegel 2013-02-16 12:27:56 UTC Comment hidden (obsolete)
Comment 3 Marcel de Rooy 2013-03-26 14:33:17 UTC
QA Comment:
Currently, you have encoding errors in the signed patch :)
Could you resolve them please?
Thanks.

When you are looking again, I would suggest to narrow down the update statements when upgrading. Now you only check name=xxx. But I could have used this name unfortunately (may be bit fictitious)..
If you add name=xxx and host=yyy, we are even more complete.

Thanks.
Comment 4 Bernardo Gonzalez Kriegel 2013-03-26 16:24:14 UTC
(In reply to comment #3)
> QA Comment:
> Currently, you have encoding errors in the signed patch :)
> Could you resolve them please?

Could you tell me which ones? There are errors in the comment, but that was me showing the result before applying the patch. I could remove that comments if that's the problem :)

Thanks
Comment 5 Marcel de Rooy 2013-03-26 16:52:25 UTC
(In reply to comment #4)
> (In reply to comment #3)
> > QA Comment:
> > Currently, you have encoding errors in the signed patch :)
> > Could you resolve them please?
> 
> Could you tell me which ones? There are errors in the comment, but that was
> me showing the result before applying the patch. I could remove that
> comments if that's the problem :)
> 
> Thanks

Maybe you could correct the patch manually (without git bz). Get rid also of the line Content-Transfer-Encoding: 8bit.
Comment 6 Bernardo Gonzalez Kriegel 2013-03-26 19:14:29 UTC Comment hidden (obsolete)
Comment 7 Marcel de Rooy 2013-03-27 12:23:31 UTC
(In reply to comment #6)
> Created attachment 16904 [details] [review] [review]
> [SIGNED-OFF] Bug 9498 - Update encoding for Norwegian sample Z39.50 servers
> 
> Manually added patch. Removed strange vowels. Removed encoding line.
> May be now is well :)

Thanks!
Comment 8 Marcel de Rooy 2013-03-27 12:23:55 UTC Comment hidden (obsolete)
Comment 9 Marcel de Rooy 2013-03-27 12:24:35 UTC Comment hidden (obsolete)
Comment 10 Marcel de Rooy 2013-03-27 12:26:31 UTC
Magnus,
Could you confirm please if both Norwegian targets NORBOK and SAMBOK have the same host? Why add them both?
Comment 11 Magnus Enger 2013-03-27 15:02:45 UTC
(In reply to comment #10)
> Magnus,
> Could you confirm please if both Norwegian targets NORBOK and SAMBOK have
> the same host? Why add them both?

They are two different databases ("catalogues") on the same host, so they give different results for the same search. 

Thanks for the followup whoch makes sense. Ill see if I can sign off on it soon.
Comment 12 Marcel de Rooy 2013-03-27 15:10:45 UTC
(In reply to comment #11)
> They are two different databases ("catalogues") on the same host, so they
> give different results for the same search. 
> 
> Thanks for the followup whoch makes sense. Ill see if I can sign off on it
> soon.

That makes sense too. I try to have a look tomorrow and sign off on the small change myself if you do not beat me to it :)
Comment 13 Bernardo Gonzalez Kriegel 2013-03-27 15:18:37 UTC Comment hidden (obsolete)
Comment 14 Marcel de Rooy 2013-03-27 15:32:21 UTC Comment hidden (obsolete)
Comment 15 Marcel de Rooy 2013-03-27 15:32:55 UTC
Created attachment 16940 [details] [review]
Bug 9498 - Update encoding for Norwegian sample Z39.50 servers

This patch
- Updates the sample servers installed by the web installer
- Does a database upgrade that changes the encoding for the servers
  in question

To test:
- Do a Norwegian installation and make sure to choose the optional
  sample Z39.50 targets
- Check that encodings for the Norwegian targets (BIBSYS, SAMBOK,
  NORBOK and DEICHMAN) are all set to ISO_6937 (which is the wrong
  encoding)
- Apply this patch and make sure updatadatabase.pl is run
- Check that the encoding for the four targets mentioned above are
  now ISO_8859-1
- Do one search against each target and check that there are no
  "strange" chars in the result list. Searching each of the targets
  for "hessen" should give results that include "norwegian vowels"
- Log on to the MySQL of the test installation and empty the table
  of Z39.50 targets:
  mysql> delete from z3950servers;
- Load this file into MySQL from the command line:
  installer/data/mysql/nb-NO/2-Valgfritt/z3950servers.sql
  and check that it loads without errors and that the four
  Norwegian targets are still set to have encoding = ISO_8859-1

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>

Comment: Work as described. No errors.
No koha-qa errors

Passed-QA-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 16 Marcel de Rooy 2013-03-27 15:32:59 UTC
Created attachment 16941 [details] [review]
Bug 9498 QA Followup for updatedatabase

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>

Small followup to update servers. No errors
Comment 17 Marcel de Rooy 2013-03-27 15:33:58 UTC
Thanks, Bernardo.
No further comments necessary.

Passed QA
Comment 18 Jared Camins-Esakov 2013-03-31 02:53:34 UTC
This patch has been pushed to master.
Comment 19 Chris Cormack 2013-03-31 06:58:14 UTC
Pushed to 3.10.x will be 3.10.5
Comment 20 Magnus Enger 2013-04-03 19:06:33 UTC
Works as expected (tested with packages built off current master).